Bug 860127 - odd error printed during setup of openstack per testing description
odd error printed during setup of openstack per testing description
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: openstack-utils (Show other bugs)
18
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Pádraig Brady
Fedora Extras Quality Assurance
:
Depends On: 860201
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-24 23:59 EDT by Steven Dake
Modified: 2016-04-26 20:58 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-20 11:28:31 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Steven Dake 2012-09-24 23:59:36 EDT
Description of problem:
Complete!
Note: Forwarding request to 'systemctl enable mysqld.service'.
ln -s '/usr/lib/systemd/system/mysqld.service' '/etc/systemd/system/multi-user.target.wants/mysqld.service'
Verified connectivity to MySQL.
Creating 'nova' database.
Asking openstack-nova to sync the database.
Complete!
Verified connectivity to MySQL.
Creating 'glance' database.
Asking openstack-glance to sync the database.
/usr/lib/python2.7/site-packages/glance/db/sqlalchemy/migrate_repo/versions/003_add_disk_format.py:46: SADeprecationWarning: useexisting is deprecated.  Use extend_existing.
  useexisting=True)
Complete!
Verified connectivity to MySQL.
Creating 'keystone' database.
Asking openstack-keystone to sync the database.
Complete!
Verified connectivity to MySQL.
Creating 'cinder' database.
Asking openstack-cinder to sync the database.
Complete!
======= Configuring VM. Please wait =======
libsemanage.bool_commit_list: libselinux commit failed (No such file or directory).
libsemanage.bool_commit_list: could not commit boolean list (No such file or directory).
libsemanage.dbase_activedb_flush: could not flush active database (No such file or directory).
libsemanage.semanage_commit_components: could not commit local/active modifications (No such file or directory).
Could not change policy booleans


Version-Release number of selected component (if applicable):
fedora 18 alpha

How reproducible:
unclear

Steps to Reproduce:
1. Run https://fedoraproject.org/wiki/Test_Day:2012-09-18_OpenStack#Test_Cases
2. error occurs during sudo openstack-demo-install
3.
  
Actual results:
errors about selinux (selinux was put in permissive)

Expected results:
no errors

Additional info:
Comment 1 Steven Dake 2012-09-25 00:18:30 EDT
Rebooted to see if that got it further.  This seems to have fixed the selinux problem but now results in the following output:

Invalid OpenStack Identity Credentials looks troubling.

Creating 'keystone' database.
ERROR 1007 (HY000) at line 1: Can't create database 'keystone'; database exists
Asking openstack-keystone to sync the database.
Complete!
======= Enabling the services ======
Note: Forwarding request to 'systemctl enable libvirtd.service'.
Note: Forwarding request to 'systemctl enable httpd.service'.
Note: Forwarding request to 'systemctl enable openstack-glance-api.service'.
ln -s '/usr/lib/systemd/system/openstack-glance-api.service' '/etc/systemd/system/multi-user.target.wants/openstack-glance-api.service'
Note: Forwarding request to 'systemctl enable openstack-glance-registry.service'.
ln -s '/usr/lib/systemd/system/openstack-glance-registry.service' '/etc/systemd/system/multi-user.target.wants/openstack-glance-registry.service'
Note: Forwarding request to 'systemctl enable openstack-nova-api.service'.
ln -s '/usr/lib/systemd/system/openstack-nova-api.service' '/etc/systemd/system/multi-user.target.wants/openstack-nova-api.service'
Note: Forwarding request to 'systemctl enable openstack-nova-objectstore.service'.
ln -s '/usr/lib/systemd/system/openstack-nova-objectstore.service' '/etc/systemd/system/multi-user.target.wants/openstack-nova-objectstore.service'
Note: Forwarding request to 'systemctl enable openstack-nova-compute.service'.
ln -s '/usr/lib/systemd/system/openstack-nova-compute.service' '/etc/systemd/system/multi-user.target.wants/openstack-nova-compute.service'
Note: Forwarding request to 'systemctl enable openstack-nova-network.service'.
ln -s '/usr/lib/systemd/system/openstack-nova-network.service' '/etc/systemd/system/multi-user.target.wants/openstack-nova-network.service'
Note: Forwarding request to 'systemctl enable openstack-nova-scheduler.service'.
ln -s '/usr/lib/systemd/system/openstack-nova-scheduler.service' '/etc/systemd/system/multi-user.target.wants/openstack-nova-scheduler.service'
Note: Forwarding request to 'systemctl enable openstack-nova-cert.service'.
ln -s '/usr/lib/systemd/system/openstack-nova-cert.service' '/etc/systemd/system/multi-user.target.wants/openstack-nova-cert.service'
======= Starting the services ======
Starting qpidd (via systemctl):                            [  OK  ]
Starting libvirtd (via systemctl):                         [  OK  ]
Redirecting to /bin/systemctl start  httpd.service
Redirecting to /bin/systemctl start  openstack-glance-api.service
Redirecting to /bin/systemctl start  openstack-glance-registry.service
Redirecting to /bin/systemctl start  openstack-nova-api.service
Redirecting to /bin/systemctl start  openstack-nova-objectstore.service
Redirecting to /bin/systemctl start  openstack-nova-compute.service
Redirecting to /bin/systemctl start  openstack-nova-network.service
Redirecting to /bin/systemctl start  openstack-nova-scheduler.service
Redirecting to /bin/systemctl start  openstack-nova-cert.service
======= Setting up Keystone ======
Redirecting to /bin/systemctl start  openstack-keystone.service
Invalid OpenStack Identity credentials.
Invalid OpenStack Identity credentials.
Invalid OpenStack Identity credentials.
Invalid OpenStack Identity credentials.
Invalid OpenStack Identity credentials.
Invalid OpenStack Identity credentials.
Invalid OpenStack Identity credentials.
Invalid OpenStack Identity credentials.
Invalid OpenStack Identity credentials.
Invalid OpenStack Identity credentials.
Invalid OpenStack Identity credentials.
Invalid OpenStack Identity credentials.
usage: keystone [--os_username <auth-user-name>]
                [--os_password <auth-password>]
                [--os_tenant_name <auth-tenant-name>]
                [--os_tenant_id <tenant-id>] [--os_auth_url <auth-url>]
                [--os_region_name <region-name>]
                [--os_identity_api_version <identity-api-version>]
                [--token <service-token>] [--endpoint <service-endpoint>]
                [--username <auth-user-name>] [--password <auth-password>]
                [--tenant_name <tenant-name>] [--auth_url <auth-url>]
                [--region_name <region-name>]
keystone: error: argument --username: expected one argument
usage: keystone [--os_username <auth-user-name>]
                [--os_password <auth-password>]
                [--os_tenant_name <auth-tenant-name>]
                [--os_tenant_id <tenant-id>] [--os_auth_url <auth-url>]
                [--os_region_name <region-name>]
                [--os_identity_api_version <identity-api-version>]
                [--token <service-token>] [--endpoint <service-endpoint>]
                [--username <auth-user-name>] [--password <auth-password>]
                [--tenant_name <tenant-name>] [--auth_url <auth-url>]
                [--region_name <region-name>]
keystone: error: argument --username: expected one argument
usage: keystone [--os_username <auth-user-name>]
                [--os_password <auth-password>]
                [--os_tenant_name <auth-tenant-name>]
                [--os_tenant_id <tenant-id>] [--os_auth_url <auth-url>]
                [--os_region_name <region-name>]
                [--os_identity_api_version <identity-api-version>]
                [--token <service-token>] [--endpoint <service-endpoint>]
                [--username <auth-user-name>] [--password <auth-password>]
                [--tenant_name <tenant-name>] [--auth_url <auth-url>]
                [--region_name <region-name>]
keystone: error: argument --username: expected one argument
usage: keystone [--os_username <auth-user-name>]
                [--os_password <auth-password>]
                [--os_tenant_name <auth-tenant-name>]
                [--os_tenant_id <tenant-id>] [--os_auth_url <auth-url>]
                [--os_region_name <region-name>]
                [--os_identity_api_version <identity-api-version>]
                [--token <service-token>] [--endpoint <service-endpoint>]
                [--username <auth-user-name>] [--password <auth-password>]
                [--tenant_name <tenant-name>] [--auth_url <auth-url>]
                [--region_name <region-name>]
keystone: error: argument --username: expected one argument
usage: keystone [--os_username <auth-user-name>]
                [--os_password <auth-password>]
                [--os_tenant_name <auth-tenant-name>]
                [--os_tenant_id <tenant-id>] [--os_auth_url <auth-url>]
                [--os_region_name <region-name>]
                [--os_identity_api_version <identity-api-version>]
                [--token <service-token>] [--endpoint <service-endpoint>]
                [--username <auth-user-name>] [--password <auth-password>]
                [--tenant_name <tenant-name>] [--auth_url <auth-url>]
                [--region_name <region-name>]
keystone: error: argument --username: expected one argument
usage: keystone [--os_username <auth-user-name>]
                [--os_password <auth-password>]
                [--os_tenant_name <auth-tenant-name>]
                [--os_tenant_id <tenant-id>] [--os_auth_url <auth-url>]
                [--os_region_name <region-name>]
                [--os_identity_api_version <identity-api-version>]
                [--token <service-token>] [--endpoint <service-endpoint>]
                [--username <auth-user-name>] [--password <auth-password>]
                [--tenant_name <tenant-name>] [--auth_url <auth-url>]
                [--region_name <region-name>]
keystone: error: argument --username: expected one argument
usage: keystone [--os_username <auth-user-name>]
                [--os_password <auth-password>]
                [--os_tenant_name <auth-tenant-name>]
                [--os_tenant_id <tenant-id>] [--os_auth_url <auth-url>]
                [--os_region_name <region-name>]
                [--os_identity_api_version <identity-api-version>]
                [--token <service-token>] [--endpoint <service-endpoint>]
                [--username <auth-user-name>] [--password <auth-password>]
                [--tenant_name <tenant-name>] [--auth_url <auth-url>]
                [--region_name <region-name>]
keystone: error: argument --username: expected one argument
usage: keystone [--os_username <auth-user-name>]
                [--os_password <auth-password>]
                [--os_tenant_name <auth-tenant-name>]
                [--os_tenant_id <tenant-id>] [--os_auth_url <auth-url>]
                [--os_region_name <region-name>]
                [--os_identity_api_version <identity-api-version>]
                [--token <service-token>] [--endpoint <service-endpoint>]
                [--username <auth-user-name>] [--password <auth-password>]
                [--tenant_name <tenant-name>] [--auth_url <auth-url>]
                [--region_name <region-name>]
keystone: error: argument --username: expected one argument
usage: keystone user-create --name <user-name> [--tenant_id <tenant-id>]
                            [--pass <pass>] [--email <email>]
                            [--enabled <true|false>]
keystone user-create: error: argument --tenant_id: expected one argument
usage: keystone [--os_username <auth-user-name>]
                [--os_password <auth-password>]
                [--os_tenant_name <auth-tenant-name>]
                [--os_tenant_id <tenant-id>] [--os_auth_url <auth-url>]
                [--os_region_name <region-name>]
                [--os_identity_api_version <identity-api-version>]
                [--token <service-token>] [--endpoint <service-endpoint>]
                [--username <auth-user-name>] [--password <auth-password>]
                [--tenant_name <tenant-name>] [--auth_url <auth-url>]
                [--region_name <region-name>]
keystone: error: argument --username: expected one argument
Invalid OpenStack Identity credentials.
Invalid OpenStack Identity credentials.
usage: keystone user-create --name <user-name> [--tenant_id <tenant-id>]
                            [--pass <pass>] [--email <email>]
                            [--enabled <true|false>]
keystone user-create: error: argument --tenant_id: expected one argument
usage: keystone [--os_username <auth-user-name>]
                [--os_password <auth-password>]
                [--os_tenant_name <auth-tenant-name>]
                [--os_tenant_id <tenant-id>] [--os_auth_url <auth-url>]
                [--os_region_name <region-name>]
                [--os_identity_api_version <identity-api-version>]
                [--token <service-token>] [--endpoint <service-endpoint>]
                [--username <auth-user-name>] [--password <auth-password>]
                [--tenant_name <tenant-name>] [--auth_url <auth-url>]
                [--region_name <region-name>]
keystone: error: argument --username: expected one argument
Invalid OpenStack Identity credentials.
Invalid OpenStack Identity credentials.
Invalid OpenStack Identity credentials.
+-------------+----------------------------------+
|   Property  |              Value               |
+-------------+----------------------------------+
| description | OpenStack Dashboard              |
| id          | df857b0c62904f68a15c3ada69f87b00 |
| name        | horizon                          |
| type        | dashboard                        |
+-------------+----------------------------------+
'Client' object has no attribute 'auth_tenant_id'
'Client' object has no attribute 'auth_tenant_id'
Redirecting to /bin/systemctl restart  openstack-nova-api.service
Redirecting to /bin/systemctl restart  openstack-nova-compute.service
Redirecting to /bin/systemctl restart  openstack-glance-api.service
Redirecting to /bin/systemctl restart  openstack-glance-registry.service
======= Running openstack-status ======
== Nova services ==
api:                active
compute:            active
network:            active
scheduler:          active
volume:             active (disabled on boot)
== Glance services ==
api:                active
registry:           active
== Keystone service ==
keystone:           active (disabled on boot)
== Horizon service ==
dashboard:          000
== Quantum services ==
quantum-server:     inactive (disabled on boot)
== Support services ==
mysqld:             active
httpd:              active
libvirtd:           active
qpidd:              active
== Keystone users ==
+----------------------------------+---------+--------------------+--------+
|                id                | enabled |       email        |  name  |
+----------------------------------+---------+--------------------+--------+
| 082997ca1bbe4ed08298e7b54ea23484 | True    | admin@example.com  | demo   |
| 1a014eb93f084f4faee53cfab193c030 | True    | heat@example.com   | heat   |
| 4075c89d727643a296271fcaa414effb | True    | nova@example.com   | nova   |
| 4d498d15aa3d4a5cae99663479fa0085 | True    | admin@example.com  | admin  |
| e50e2e8edd344f4fbc3d85e70219dc6e | True    | glance@example.com | glance |
+----------------------------------+---------+--------------------+--------+
== Glance images ==
ID                                   Name                           Disk Format          Container Format     Size          
------------------------------------ ------------------------------ -------------------- -------------------- --------------
f9a7f544-6682-4f70-8ca7-0b017939125c F16-x86_64-cfntools            qcow2                bare                      657981440
ccb5f276-9e66-423a-8f93-13111d0e8d37 F17-x86_64-cfntools            qcow2                bare                      666875392
== Nova instance flavors ==
m1.medium: Memory: 768MB, VCPUS: 1, Root: 0GB, Ephemeral: 10Gb, FlavorID: 4, Swap: 0MB, RXTX Factor: 1.0
m1.tiny: Memory: 256MB, VCPUS: 1, Root: 0GB, Ephemeral: 10Gb, FlavorID: 2, Swap: 0MB, RXTX Factor: 1.0
m1.large: Memory: 1024MB, VCPUS: 1, Root: 0GB, Ephemeral: 10Gb, FlavorID: 5, Swap: 0MB, RXTX Factor: 1.0
c1.xlarge: Memory: 2048MB, VCPUS: 2, Root: 0GB, Ephemeral: 10Gb, FlavorID: 11, Swap: 0MB, RXTX Factor: 1.0
m1.small: Memory: 512MB, VCPUS: 1, Root: 0GB, Ephemeral: 10Gb, FlavorID: 3, Swap: 0MB, RXTX Factor: 1.0
c1.medium: Memory: 2048MB, VCPUS: 2, Root: 0GB, Ephemeral: 10Gb, FlavorID: 10, Swap: 0MB, RXTX Factor: 1.0
m1.xlarge: Memory: 2048MB, VCPUS: 1, Root: 0GB, Ephemeral: 10Gb, FlavorID: 6, Swap: 0MB, RXTX Factor: 1.0
m2.xlarge: Memory: 2048MB, VCPUS: 2, Root: 0GB, Ephemeral: 10Gb, FlavorID: 7, Swap: 0MB, RXTX Factor: 1.0
t1.micro: Memory: 256MB, VCPUS: 1, Root: 0GB, Ephemeral: 10Gb, FlavorID: 1, Swap: 0MB, RXTX Factor: 1.0
m2.4xlarge: Memory: 2048MB, VCPUS: 2, Root: 0GB, Ephemeral: 10Gb, FlavorID: 9, Swap: 0MB, RXTX Factor: 1.0
m2.2xlarge: Memory: 2048MB, VCPUS: 2, Root: 0GB, Ephemeral: 10Gb, FlavorID: 8, Swap: 0MB, RXTX Factor: 1.0
cc1.4xlarge: Memory: 2048MB, VCPUS: 2, Root: 0GB, Ephemeral: 10Gb, FlavorID: 12, Swap: 0MB, RXTX Factor: 1.0
== Nova instances ==
+----+------+--------+----------+
| ID | Name | Status | Networks |
+----+------+--------+----------+
+----+------+--------+----------+
Comment 2 Steve Baker 2012-09-25 00:24:12 EDT
I also got this on F18.

Commenting out lines 69-71 allowed me to get past this error.
Comment 3 Derek Higgins 2012-09-25 05:15:46 EDT
The original error happens on this line
sudo setsebool -P virt_use_execmem on

when I run it manually I get 

[stack@testday-1 ~]$ sudo setsebool -P virt_use_execmem on
libsemanage.bool_commit_list: libselinux commit failed (No such file or directory).
libsemanage.bool_commit_list: could not commit boolean list (No such file or directory).
libsemanage.dbase_activedb_flush: could not flush active database (No such file or directory).
libsemanage.semanage_commit_components: could not commit local/active modifications (No such file or directory).
Could not change policy booleans


removing the -P from setsebool allows it to set the boolean...
Comment 4 Derek Higgins 2012-09-25 07:01:23 EDT
The keystone error in comment 2 can be explained by a problem running the openstack-demo-install twice (i.e. if openstack-keystone is already running).

fix push upstream
https://github.com/fedora-openstack/openstack-utils/commit/c548ac3b29c3bdb3a20bea81df9c108b96502c1a

this doesn't do anything to fix the setsebool problem
Comment 5 Pádraig Brady 2012-10-10 10:33:38 EDT
The setsebool issue was bug 860172
Comment 6 Fedora Update System 2012-10-10 10:42:43 EDT
openstack-utils-2012.2-5.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/openstack-utils-2012.2-5.fc18
Comment 7 Fedora Update System 2012-10-10 14:07:05 EDT
Package openstack-utils-2012.2-5.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing openstack-utils-2012.2-5.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-15805/openstack-utils-2012.2-5.fc18
then log in and leave karma (feedback).
Comment 8 Fedora Update System 2012-12-20 11:28:34 EST
openstack-utils-2012.2-5.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.